Skip to main content
GET
Get an agent group by id

Authorizations

Authorization
string
header
required

Headers

x-sub-organization-id
string

Optional sub organization ID. Must belong to your main organization API key.

Path Parameters

campaignGroupId
string
required

Id of the agent group as a string ObjectId value.

Response

id
string
required

Unique identifier for the agent group. String representation of an ObjectId.

Example:

"507f1f77bcf86cd799439011"

name
string
required

Display name of the agent group.

Example:

"Onboarding Campaigns"

organizationId
string
required

Id of the organization this agent group belongs to. String representation of an ObjectId.

Example:

"507f1f77bcf86cd799439012"

campaignsCount
number
required

Number of agents currently assigned to this agent group.

Example:

3

createdAt
string<date-time> | null
required

Timestamp when the agent group was created (ISO 8601 string).

Example:

"2024-04-09T12:00:00.000Z"

updatedAt
string<date-time> | null
required

Timestamp when the agent group was last updated (ISO 8601 string).

Example:

"2024-04-09T13:30:00.000Z"